Skip to main content
`Ctrl`+`K`

# STView

Prints the `ST` data structure.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STView(ST st,PetscViewer viewer)

Collective

## Input Parameters

- st - the ST context

- viewer - optional visualization context

## Note

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

Use `STViewFromOptions()` to allow the user to select many different `PetscViewerType` and formats from the options database.

## See Also

ST: Spectral Transformation, `STCreate()`, `STViewFromOptions()`

## Level

beginner

## Location

src/sys/classes/st/interface/stfunc.c

## Implementations

STView_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STView_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages